diff --git a/arch/arm/mach-k3/am625_init.c b/arch/arm/mach-k3/am625_init.c
index d103c73770..4f54eeff82 100644
--- a/arch/arm/mach-k3/am625_init.c
+++ b/arch/arm/mach-k3/am625_init.c
@@ -25,6 +25,9 @@
 #define K3RTC_KICK0_UNLOCK_VALUE       0x83e70b13
 #define K3RTC_KICK1_UNLOCK_VALUE       0x95a4f1e0
 
+/*eMMC boot mode fix*/
+#define EMMC_BOOT      9
+
 #if defined(CONFIG_SPL_BUILD)
 
 /*
@@ -245,6 +248,10 @@ u32 spl_mmc_boot_mode(const u32 boot_device)
 
        switch (boot_device) {
        case BOOT_DEVICE_MMC1:
+               if (((devstat & MAIN_DEVSTAT_PRIMARY_BOOTMODE_MASK) >>
+                     MAIN_DEVSTAT_PRIMARY_BOOTMODE_SHIFT) == EMMC_BOOT)
+                       return MMCSD_MODE_EMMCBOOT;
+
                if ((bootmode_cfg & MAIN_DEVSTAT_PRIMARY_MMC_FS_RAW_MASK) >>
                     MAIN_DEVSTAT_PRIMARY_MMC_FS_RAW_SHIFT)
                        return MMCSD_MODE_EMMCBOOT;
(END)
